<?php
add_action('after_setup_theme', 'homezone_bunch_theme_setup');
function homezone_bunch_theme_setup()
{
	bunch_global_version_variable();
	
	if(!defined('HOMEZONE_VERSION')) define('HOMEZONE_VERSION', '1.0');
	if( !defined( 'HOMEZONE_ROOT' ) ) define('HOMEZONE_ROOT', get_template_directory().'/');
	if( !defined( 'HOMEZONE_URL' ) ) define('HOMEZONE_URL', get_template_directory_uri().'/');	
	include_once get_template_directory() . '/includes/loader.php';
	
	
	load_theme_textdomain('homezone', get_template_directory() . '/languages');
	
	//ADD THUMBNAIL SUPPORT
	add_theme_support('post-thumbnails');
	//add_theme_support('menus'); //Add menu support
	add_theme_support('automatic-feed-links'); //Enables post and comment RSS feed links to head.
	add_theme_support('widgets'); //Add widgets and sidebar support
	add_theme_support( "title-tag" );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'editor-styles' );
	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
	) );
	/** Register wp_nav_menus */
	if(function_exists('register_nav_menu'))
	{
		register_nav_menus(
			array(
				/** Register Main Menu location header */
				'main_menu' => esc_html__('Main Menu', 'homezone'),
			)
		);
	}
	if ( ! isset( $content_width ) ) $content_width = 960;
	add_image_size( 'homezone_380x300', 380, 300, true ); // 'homezone_380x300 Gallery'
	add_image_size( 'homezone_371x226', 371, 226, true ); // 'homezone_371x226 Blog'
	add_image_size( 'homezone_80x65', 80, 65, true ); // 'homezone_80x65 gallery Widget'
	add_image_size( 'homezone_270x260', 270, 260, true ); // 'homezone_270x260 Team'
	add_image_size( 'homezone_1200x313', 1200, 313, true ); // 'homezone_1200x313 Blog Pages'
	add_image_size( 'homezone_190x120', 190, 120, true ); // 'homezone_190x120 product carousel'
	
}
function homezone_gutenberg_editor_palette_styles() {
    add_theme_support( 'editor-color-palette', array(
        array(
            'name' => esc_html__( 'strong yellow', 'homezone' ),
            'slug' => 'strong-yellow',
            'color' => '#f7bd00',
        ),
        array(
            'name' => esc_html__( 'strong white', 'homezone' ),
            'slug' => 'strong-white',
            'color' => '#fff',
        ),
		array(
            'name' => esc_html__( 'light black', 'homezone' ),
            'slug' => 'light-black',
            'color' => '#242424',
        ),
        array(
            'name' => esc_html__( 'very light gray', 'homezone' ),
            'slug' => 'very-light-gray',
            'color' => '#797979',
        ),
        array(
            'name' => esc_html__( 'very dark black', 'homezone' ),
            'slug' => 'very-dark-black',
            'color' => '#000000',
        ),
    ) );
	
	add_theme_support( 'editor-font-sizes', array(
		array(
			'name' => esc_html__( 'Small', 'homezone' ),
			'size' => 10,
			'slug' => 'small'
		),
		array(
			'name' => esc_html__( 'Normal', 'homezone' ),
			'size' => 15,
			'slug' => 'normal'
		),
		array(
			'name' => esc_html__( 'Large', 'homezone' ),
			'size' => 24,
			'slug' => 'large'
		),
		array(
			'name' => esc_html__( 'Huge', 'homezone' ),
			'size' => 36,
			'slug' => 'huge'
		)
	) );
	
}
add_action( 'after_setup_theme', 'homezone_gutenberg_editor_palette_styles' );
function homezone_bunch_widget_init()
{
	global $wp_registered_sidebars;
	$theme_options = _WSH()->option();
		
	register_sidebar(array(
	  'name' => esc_html__( 'Default Sidebar', 'homezone' ),
	  'id' => 'default-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'homezone' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="sidebar-title"><h3>',
	  'after_title' => '</h3></div>'
	));
	register_sidebar(array(
	  'name' => esc_html__( 'Footer Sidebar', 'homezone' ),
	  'id' => 'footer-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown in Footer Area.', 'homezone' ),
	  'before_widget'=>'<div id="%1$s"  class="col-md-4 col-sm-6 col-xs-12 column footer-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<h2>',
	  'after_title' => '</h2>'
	));
	
	register_sidebar(array(
	  'name' => esc_html__( 'Blog Listing', 'homezone' ),
	  'id' => 'blog-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'homezone' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="sidebar-title"><h3>',
	  'after_title' => '</h3></div>'
	));
	if( !is_object( _WSH() )  )  return;
	$sidebars = homezone_set(homezone_set( $theme_options, 'dynamic_sidebar' ) , 'dynamic_sidebar' ); 
	foreach( array_filter((array)$sidebars) as $sidebar)
	{
		if(homezone_set($sidebar , 'topcopy')) continue ;
		
		$name = homezone_set( $sidebar, 'sidebar_name' );
		
		if( ! $name ) continue;
		$slug = homezone_bunch_slug( $name ) ;
		
		register_sidebar( array(
			'name' => $name,
			'id' =>  $slug ,
			'before_widget' => '<div id="%1$s" class="side-bar widget sidebar_widget %2$s">',
			'after_widget' => "</div>",
			'before_title' => '<div class="sec-title"><h3 class="skew-lines">',
			'after_title' => '</h3></div>',
		) );		
	}
	
	update_option('wp_registered_sidebars' , $wp_registered_sidebars) ;
}
add_action( 'widgets_init', 'homezone_bunch_widget_init' );

function homezone_bunch_animate_it( $atts, $contents = null )
{
	return get_template_part( 'includes/modules/shortcodes/animate_it' );
}
function homezone_load_head_scripts() {
	$options = _WSH()->option();
    if ( !is_admin() ) {
	$protocol = is_ssl() ? 'https://' : 'http://';
	if(homezone_set($options, 'map_api_key')){
	$map_path = '?key='.homezone_set($options, 'map_api_key');
	wp_enqueue_script( 'google-map-api', ''.$protocol.'maps.google.com/maps/api/js'.$map_path, array(), false, false );
	wp_enqueue_script( 'date-api', get_template_directory_uri().'/js/jquery-ui.js', array('jquery'), false, false );
	}
	}
    }
    add_action( 'wp_enqueue_scripts', 'homezone_load_head_scripts' );
//global variables
function bunch_global_variable() {
    global $wp_query;
}
//global variables
function bunch_global_version_variable() {
    global $wp_version;
}

function homezone_enqueue_scripts() {
	$options = _WSH()->option();
    //styles
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css' );
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.css' );
	wp_enqueue_style( 'flaticon', get_template_directory_uri() . '/css/flaticon.css' );
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/css/animate.css' );
	wp_enqueue_style( 'owl-theme', get_template_directory_uri() . '/css/owl.css' );
	wp_enqueue_style( 'fancybox', get_template_directory_uri() . '/css/jquery.fancybox.css' );
	wp_enqueue_style( 'timepicker', get_template_directory_uri() . '/css/jquery.timepicker.css' );
	wp_enqueue_style( 'monthly', get_template_directory_uri() . '/css/monthly.css' );
	wp_enqueue_style( 'jquery-ui', get_template_directory_uri() . '/css/jquery-ui/jquery-ui.css' );
	wp_enqueue_style( 'masterslider', get_template_directory_uri() . '/css/masterslider.css' );
	wp_enqueue_style( 'jquery-bxslider.min', get_template_directory_uri() . '/js/bxslider/dist/jquery.bxslider.min.css' );
	wp_enqueue_style( 'hover', get_template_directory_uri() . '/css/hover.css' );
	wp_enqueue_style( 'homezone-main-style', get_stylesheet_uri() );
	wp_enqueue_style( 'homezone-custom-style', get_template_directory_uri() . '/css/custom.css' );
	wp_enqueue_style( 'homezone-tut-style', get_template_directory_uri() . '/css/tut.css' );
	wp_enqueue_style( 'homezone-gb-style', get_template_directory_uri() . '/css/gutenberg.css' );
	wp_enqueue_style( 'homezone-responsive', get_template_directory_uri() . '/css/responsive.css' );
	
	
    //scripts
	wp_enqueue_script( 'jquery-ui-core' );
	wp_enqueue_script( 'bootstrap', get_template_directory_uri().'/js/bootstrap.min.js', array('jquery'), false, true );
	wp_enqueue_script( 'owl', get_template_directory_uri().'/js/owl.js', array(), false, true );
	wp_enqueue_script( 'masterslider', get_template_directory_uri().'/js/masterslider.min.js', array(), false, true );
	wp_enqueue_script( 'easing', get_template_directory_uri().'/js/jquery.easing.min.js', array(), false, true );
	wp_enqueue_script( 'fancybox', get_template_directory_uri().'/js/jquery.fancybox.pack.js', array(), false, true );
	wp_enqueue_script( 'isotope', get_template_directory_uri().'/js/isotope.js', array(), false, true );
	wp_enqueue_script( 'mixitup', get_template_directory_uri().'/js/mixitup.js', array(), false, true );
	if(homezone_set($options, 'map_api_key')){
	wp_enqueue_script( 'gmaps', get_template_directory_uri().'/js/gmaps.js', array(), false, true );
	wp_enqueue_script( 'gmaps-setup', get_template_directory_uri().'/js/gmaps-setup.js', array(), false, true );
	wp_enqueue_script( 'googlemaps', get_template_directory_uri().'/js/googlemaps.js', array(), false, true );
	}
	wp_enqueue_script( 'timepicker', get_template_directory_uri().'/js/jquery.timepicker.min.js', array(), false, true );
	wp_enqueue_script( 'monthly', get_template_directory_uri().'/js/monthly.js', array(), false, true );
	wp_enqueue_script( 'wow', get_template_directory_uri().'/js/wow.js', array(), false, true );
	wp_enqueue_script( 'bxslider', get_template_directory_uri().'/js/bxslider/dist/jquery.bxslider.min.js', array(), false, true );
	wp_enqueue_script( 'homezone-main-script', get_template_directory_uri().'/js/script.js', array(), false, true );
	if( is_singular() ) wp_enqueue_script('comment-reply');
	
}
add_action( 'wp_enqueue_scripts', 'homezone_enqueue_scripts' );

/*-------------------------------------------------------------*/
function homezone_theme_slug_fonts_url() {
    $fonts_url = '';
 
    /* Translators: If there are characters in your language that are not
    * supported by Lora, translate this to 'off'. Do not translate
    * into your own language.
    */
    $playfair = _x( 'on', 'Playfair font: on or off', 'homezone' );
	$montserrat = _x( 'on', 'Montserrat font: on or off', 'homezone' );
	$raleway = _x( 'on', 'Raleway font: on or off', 'homezone' );
	
    /* Translators: If there are characters in your language that are not
    * supported by Open Sans, translate this to 'off'. Do not translate
    * into your own language.
    */
    $open_sans = _x( 'on', 'Open Sans font: on or off', 'homezone' );
 
    if ( 'off' !== $playfair || 'off' !== $open_sans || 'off' !== $montserrat || 'off' !== $raleway ) {
        $font_families = array();
 
        if ( 'off' !== $playfair ) {
            $font_families[] = 'Playfair Display:400,400italic,700,700italic';
        }
		
		if ( 'off' !== $montserrat ) {
            $font_families[] = 'Montserrat:400,700';
        }
		
		if ( 'off' !== $open_sans ) {
            $font_families[] = 'Open Sans:400,300,300italic,400italic,600,600italic,700,700italic';
        }
		
		if ( 'off' !== $raleway ) {
            $font_families[] = 'Raleway:400,500,600,700,800';
        }
 
        $query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
 
        $fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
    }
 
    return esc_url_raw( $fonts_url );
}
function homezone_theme_slug_scripts_styles() {
    wp_enqueue_style( 'homezone-theme-slug-fonts', homezone_theme_slug_fonts_url(), array(), null );
}
add_action( 'wp_enqueue_scripts', 'homezone_theme_slug_scripts_styles' );
add_action( 'admin_enqueue_scripts', 'homezone_theme_slug_scripts_styles' );
/*---------------------------------------------------------------------*/
function homezone_add_editor_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'admin_init', 'homezone_add_editor_styles' );
