<?php $options = _WSH()->option();
	Global $wp_query;
	$icon_href = (homezone_set( $options, 'site_favicon' )) ? homezone_set( $options, 'site_favicon' ) : get_template_directory_uri().'/images/favicon.png';
 ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		 <!-- Basic -->
	    <meta charset="<?php bloginfo( 'charset' ); ?>">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
		<!-- Favcon -->
		<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ):?>
			<link rel="shortcut icon" type="image/png" href="<?php echo esc_url($icon_href);?>">
		<?php endif;?>
		<?php wp_head(); ?>
	</head>
<body <?php body_class(); ?>>
<?php
if ( ! function_exists( 'wp_body_open' ) ) {
		function wp_body_open() {
				do_action( 'wp_body_open' );
		}
}?>

<div class="page-wrapper">
    
    <!-- Preloader -->
	<?php if(homezone_set($options, 'preloader')):?>
    <!-- Preloader -->
    <div class="preloader"></div>
 	<?php endif;?>
    <!-- Main Header-->
    <header class="main-header header-style-one">
        
        <!-- Header Top -->
        <div class="header-top">
            <div class="auto-container clearfix">
                <!--Top Left-->
                <div class="top-left pull-left">
                    <ul class="info">
                        <?php if(homezone_set($options, 'email')):?>
						<li class="email"><a href="mailto:<?php echo esc_attr(homezone_set($options, 'email'));?>"><span class="icon fa fa-envelope"></span> <?php echo wp_kses_post(homezone_set($options, 'email'));?></a></li>
						<?php endif;?>
						<?php if(homezone_set($options, 'phone')):?>
                        <li class="phone"><a href="#"><span class="icon fa fa-phone"></span> <?php echo wp_kses_post(homezone_set($options, 'phone'));?></a></li><?php endif;?>
                    </ul>
                </div>
                
                <!--Top Right-->
                <div class="top-right pull-right">
                   
					<ul class="links-nav clearfix">
						<?php if($socials = homezone_set(homezone_set($options, 'social_media'), 'social_media')): //homezone_printr($socials);?> 
						<li class="social-links">
                         <?php foreach($socials as $key => $value):
						if(homezone_set($value, 'tocopy')) continue;?>  
						   <a href="<?php echo esc_url(homezone_set($value, 'social_link'));?>"><span class="fa <?php echo homezone_set($value, 'social_icon');?>"></span></a>
						<?php endforeach;?>   
                        </li>
						<?php endif;?>
                    </ul>
					
                </div>
            </div>
        </div><!-- Header Top End -->
        
        <!--Header-Upper-->
        <div class="header-upper">
            <div class="auto-container">
                <div class="clearfix">
                    <div class="pull-left logo-outer">
                        <div class="logo">
							<?php if(homezone_set($options, 'logo_image')):?>
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url(homezone_set($options, 'logo_image'));?>" alt="<?php esc_html_e('Image', 'homezone');?>" title="<?php esc_html_e('homezone', 'homezone');?>"></a>
                            <?php else:?>
                                <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url(get_template_directory_uri().'/images/logo.png');?>" alt="<?php esc_html_e('homezone', 'homezone');?>"></a>
                            <?php endif;?>
						</div>
                    </div>
                    
                    <div class="pull-right menu-outer clearfix">
                        
                        <div class="nav-outer clearfix">
                            <!-- Main Menu -->
                            <nav class="main-menu">
                                <div class="navbar-header">
                                    <!-- Toggle Button -->      
                                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    </button>
                                </div>
                                
                                <div class="navbar-collapse collapse clearfix">
                                    <ul class="navigation clearfix">
                                         <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
												'container_class'=>'navbar-collapse collapse navbar-right',
												'menu_class'=>'nav navbar-nav',
												'fallback_cb'=>false, 
												'items_wrap' => '%3$s', 
												'container'=>false,
												'walker'=> new Bunch_Bootstrap_walker()  
									) ); ?>
                                    </ul>
                                </div>
                            </nav><!-- Main Menu End-->
                        <?php if(homezone_set($options, 'quote')):?>
                            <div class="btn-outer"><a href="<?php echo esc_url(homezone_set($options, 'quote_link'));?>" class="theme-btn visit-btn"><?php echo wp_kses_post(homezone_set($options, 'quote'));?></a></div>
						<?php endif;?>
                        </div>
                        
                    </div>
                    
                </div>
            </div>
        </div>
        
        
        <!--Sticky Header-->
        <div class="sticky-header">
            <div class="auto-container clearfix">
                <!--Logo-->
                <div class="logo pull-left">
				<?php if(homezone_set($options, 'logo_image')):?>
                            <a class="img-responsive" href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url(homezone_set($options, 'logo_image'));?>" alt="<?php esc_html_e('Image', 'homezone');?>" title="<?php esc_html_e('homezone', 'homezone');?>"></a>
                            <?php else:?>
                                <a class="img-responsive" href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url(get_template_directory_uri().'/images/logo.png');?>" alt="<?php esc_html_e('homezone', 'homezone');?>"></a>
                            <?php endif;?>
                </div>
                
                <!--Right Col-->
                <div class="right-col pull-right">
                    <!-- Main Menu -->
                    <nav class="main-menu">
                        <div class="navbar-header">
                            <!-- Toggle Button -->      
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            </button>
                        </div>
                        
                        <div class="navbar-collapse collapse clearfix">
                            <ul class="navigation clearfix">
                                <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
												'container_class'=>'navbar-collapse collapse navbar-right',
												'menu_class'=>'nav navbar-nav',
												'fallback_cb'=>false, 
												'items_wrap' => '%3$s', 
												'container'=>false,
												'walker'=> new Bunch_Bootstrap_walker()  
									) ); ?>
                            </ul>
                        </div>
                    </nav><!-- Main Menu End-->
                </div>
                
            </div>
        </div><!--End Bounce In Header-->
    
    </header>
    <!--End Main Header -->
    